Imagick::setImage
Imagick::setImageArtifact
Imagick
PHP Manual

# Imagick::setImageAlphaChannel

(No version information available, might only be in SVN)

Imagick::setImageAlphaChannel — Sets image alpha channel

### Description

bool Imagick::setImageAlphaChannel ( int `$mode` )

Activate or deactivate image alpha channel. The `mode` is one of the `Imagick::ALPHACHANNEL_*` constants. This method is available if Imagick has been compiled against ImageMagick version 6.3.8 or newer.

### Parameters

`mode`

  One of the `Imagick::ALPHACHANNEL_*` constants

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

### See Also

- Imagick::setImageMatte() - Sets the image matte channel
- Imagick Alpha Channel Constants

Imagick::setImage
Imagick::setImageArtifact
Imagick
PHP Manual